Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMotifStyle

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QStyle
                          com.trolltech.qt.gui.QCommonStyle
                              com.trolltech.qt.gui.QMotifStyle

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QCDEStyle

    public class QMotifStyle

extends QCommonStyle

The `QMotifStyle` class provides Motif look and feel. This class implements the Motif look and feel. It closely resembles the original Motif look as defined by the Open Group, but with some minor improvements. The Motif style is Qt's default GUI style on Unix platforms.

See also:
  QWindowsXPStyle, QMacStyle, `QWindowsStyle`, `QPlastiqueStyle`, and `QCDEStyle`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyle
`QStyle.ComplexControl, QStyle.ContentsType, QStyle.ControlElement, QStyle.PixelMetric, QStyle.PrimitiveElement, QStyle.StandardPixmap, QStyle.State, QStyle.StateFlag, QStyle.StyleHint, QStyle.SubControl, QStyle.SubElement`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QMotifStyle()` Constructs a `QMotifStyle`.
`QMotifStyle(boolean useHighlightCols)` Constructs a `QMotifStyle`.

Method Summary
`void` | `setUseHighlightColors(boolean arg__1)` If `arg` is false, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.
`boolean` | `useHighlightColors()` Returns true if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns false.

Methods inherited from class com.trolltech.qt.gui.QStyle
`alignedRect, combinedLayoutSpacing, combinedLayoutSpacing, combinedLayoutSpacing, drawComplexControl, drawComplexControl, drawControl, drawControl, drawItemPixmap, drawItemText, drawItemText, drawPrimitive, drawPrimitive, generatedIconPixmap, hitTestComplexControl, hitTestComplexControl, itemPixmapRect, itemTextRect, layoutSpacing, layoutSpacing, layoutSpacing, layoutSpacingImplementation, layoutSpacingImplementation, layoutSpacingImplementation, pixelMetric, pixelMetric, pixelMetric, polish, polish, polish, sizeFromContents, sizeFromContents, sliderPositionFromValue, sliderPositionFromValue, sliderValueFromPosition, sliderValueFromPosition, standardIcon, standardIcon, standardIcon, standardIconImplementation, standardIconImplementation, standardIconImplementation, standardPalette, styleHint, styleHint, styleHint, styleHint, subControlRect, subControlRect, subElementRect, subElementRect, unpolish, unpolish, visualAlignment, visualAlignment, visualPos, visualRect`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QMotifStyle

    public QMotifStyle()

  Constructs a `QMotifStyle`.

  If `useHighlightCols` is false (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### QMotifStyle

    public QMotifStyle(boolean useHighlightCols)

  Constructs a `QMotifStyle`.

  If `useHighlightCols` is false (the default), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

Method Detail

### setUseHighlightColors

    public final void setUseHighlightColors(boolean arg__1)

  If `arg` is false, the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

  The effect will show up the next time an application palette is set via `QApplication::setPalette()`. The current color palette of the application remains unchanged.

See also:
  `useHighlightColors()`, and `QStyle::polish()`.

### useHighlightColors

    public final boolean useHighlightColors()

  Returns true if the style treats the highlight colors of the palette in a Motif-like manner, which is a simple inversion between the base and the text color; otherwise returns false. The default is false.

See also:
  `setUseHighlightColors()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD